/*============================================================================
  File:     BooksmarkLookupVsTableScan.sql

  Summary:  When does the "employee" table tip??
  
  Date:     October 2011

  SQL Server Version: 2005/2008/R2
------------------------------------------------------------------------------
  Written by SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

-- Download the IndexInternals sample database here:
-- http://www.sqlskills.com/BLOGS/KIMBERLY/post/Companion-content-for-Chapter-6-(Index-Internals)-of-SQL-Server-2008-Internals.aspx

USE IndexInternals
go

sp_help Employee
go

set statistics io on
go

SELECT e.* 
FROM dbo.Employee AS e
WHERE e.SSN = '123-07-9951'
go

SELECT e.* 
FROM Employee AS e
WHERE e.SSN BETWEEN '123-06-5139' AND '123-06-5441'
go

SELECT e.* 
FROM Employee AS e
WHERE e.SSN BETWEEN '123-06-5139' AND '140-06-8301' --11463
go -- 1351 rows

SELECT e.* 
FROM Employee AS e
WHERE e.SSN BETWEEN '123-06-5139' AND '140-06-8378' --11464
go -- 1352 rows
